crashpad::test::BufferExtensionStreamDataSource Class Referencefinal

A user extension data source that wraps a buffer. More...

`#include "minidump/test/minidump_user_extension_stream_util.h"`

Inheritance diagram for crashpad::test::BufferExtensionStreamDataSource:

## Public Member Functions

| BufferExtensionStreamDataSource (uint32_t stream_type, const void *data, size_t data_size)
| Creates a data source with stream_type. More...
size_t | StreamDataSize () override
| The size of this data stream.
bool | ReadStreamData (Delegate *delegate) override
| Calls Delegate::UserStreamDataSourceRead(), providing it with the stream data. More...
Public Member Functions inherited from crashpad::MinidumpUserExtensionStreamDataSource
| MinidumpUserExtensionStreamDataSource (uint32_t stream_type)
| Constructs a MinidumpUserExtensionStreamDataSource. More...
MinidumpStreamType | stream_type () const

## Detailed Description

A user extension data source that wraps a buffer.

## Constructor & Destructor Documentation

## BufferExtensionStreamDataSource()

crashpad::test::BufferExtensionStreamDataSource::BufferExtensionStreamDataSource | ( | uint32_t | stream_type,
|  | const void * | data,
|  | size_t | data_size
| ) |  |

Creates a data source with stream_type.

param[in] stream_type The type of the stream. param[in] data The data of the stream. param[in] data_size The length of data.

## Member Function Documentation

## ReadStreamData()

bool crashpad::test::BufferExtensionStreamDataSource::ReadStreamData | ( | Delegate * | delegate | ) |

overridevirtual

Calls Delegate::UserStreamDataSourceRead(), providing it with the stream data.

Implementations do not necessarily compute the stream data prior to this method being called. The stream data may be computed or loaded lazily and may be discarded after being passed to the delegate.

Returns
  `false` on failure, otherwise, the return value of Delegate::ExtensionStreamDataSourceRead(), which should be `true` on success and `false` on failure.

Implements crashpad::MinidumpUserExtensionStreamDataSource.

The documentation for this class was generated from the following files:

- minidump/test/minidump_user_extension_stream_util.h
- minidump/test/minidump_user_extension_stream_util.cc